using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace EntryTest
{
    [XamlCompilation(XamlCompilationOptions.Compile)]
    public partial class LoginPage : ContentPage
    {
        public LoginPage()
        {
            InitializeComponent();
        }

        protected override void OnAppearing()
        {
            base.OnAppearing();
            LoginButton.Clicked += OnLoginButtonClick;
        }

        protected override void OnDisappearing()
        {
            base.OnDisappearing();
            LoginButton.Clicked -= OnLoginButtonClick;
        }

        private async void OnLoginButtonClick(object sender, EventArgs e)
        {
            BusyIndicator.IsRunning = true;

            await Task.Delay(2000);

            BusyIndicator.IsRunning = false;
        }
    }
}